ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Linker.Static.Utils

Synopsis

- exeFileName :: ArchOS -> Bool -> Maybe FilePath -> FilePath

# Documentation

exeFileName :: ArchOS -> Bool -> Maybe FilePath -> FilePath #

Compute the output file name of a program.

StaticLink boolean is used to indicate if the program is actually a static library (e.g., on iOS).

Use the provided filename (if any), otherwise use "main.exe" (Windows), "a.out (otherwise without StaticLink set), "liba.a". In every case, add the extension if it is missing.